Skip to navigation

Get pods count.

View as Markdown
Retrieve the number of pods from a cluster.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

deletedbooleanOptional

Return only deleted resources when true.

filterBylist of stringsOptional

Filter results using a parameter. Use the format field-name operator value. Operators are == Equals, != Not equals, <= Less than or equal, >= Greater than or equal, =@ contains, !@ Does not contains, =^ Starts with and =$ Ends with. Dates are in ISO 8601 timestamp format and available for operators ==, !=, <= and >=.

searchstringOptional
Filter results by a free text search.
completedstringOptionalDefaults to all

Return only completed resources when ‘true’, return only non-completed resources when ‘false’. By default, or when empty, returns all resources.

Response

Executed successfully.
countlong

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
503
Service Unavailable Error